Devices are the phones or smartwatches that will be tied to a user’s plan.
Type of object is always device.
device Unique identifier for the device.
"dev_0SNlurA049MEWV55CrA9qMvI2FVJ"Time when the device was created.
"2021-02-14T19:38:34Z"The IMEI (international mobile equipment identity) of the device if provided.
"492388841798923"An optional custom name for the device.
"Anna's iPhone 12 Pro"{
"object": "device",
"id": "dev_0SNlurA049MEWV55CrA9qMvI2FVJ",
"metadata": {},
"createdAt": "2021-02-14T19:38:34.0Z",
"imei": "492388841798923",
"model": {
"object": "deviceModel",
"id": "dmd_0SNlurA04OUskUGfGAn3Rh",
"brand": "Apple",
"hardwareIdentifiers": {
"0": "SM-S928U1"
},
"name": "iPhone 12 Pro",
"simTypes": {
"0": "eSIM",
"1": "pSIM"
},
"type": "smartphone"
},
"name": "Anna's iPhone 12 Pro",
"sims": [
{
"object": "sim",
"id": "sim_0SNlurA049MEWV1BAAmWZULA4lf6",
"metadata": {},
"createdAt": "2021-01-21T19:38:34.0Z",
"iccid": "89883070000007537119",
"provider": "p9",
"status": "inactive",
"type": "eSIM"
}
],
"user": {
"object": "user",
"id": "usr_0SNlurA049MEWV4OpCwsNyC9Kn2d",
"metadata": {},
"birthday": "2017-07-21",
"createdAt": "2021-01-21T19:38:34.0Z",
"email": "jerry@example.com",
"emailVerified": true,
"fullName": "Jerry Seinfeld",
"preferredLocale": "en-US",
"status": "active"
}
}
Returns a list of devices. The devices returned are sorted by creation date, with the most recently created devices appearing first.
The unique identifier for the sim to be filtered by.
"sim_0SNlurA049MEWV1BAAmWZULA4lf6"The unique identifier for the user to be filtered by.
"usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"A cursor for use in pagination. The after parameter takes an object ID that defines the position in the list, only items immediately following the item with that ID will be returned.
A cursor for use in pagination. The before parameter takes an object ID that defines the position in the list, only items immediately preceding the item with that ID will be returned.
The limit of items to be returned in the list, between 0 and 200.
2010>= 0<= 200Returns a dictionary with an items property that contains an array of devices.
Type of object is always list.
list device.A unique identifier to be used as after pagination parameter if more items are available sorted after the current batch of items.
A unique identifier to be used as before pagination parameter if more items are available sorted before the current batch of items.
curl https://api.gigs.com/projects/${GIGS_PROJECT}/devices \
-X GET \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json"
{
"object": "list",
"items": [
{
"object": "device",
"id": "dev_0SNlurA049MEWV55CrA9qMvI2FVJ",
"metadata": {},
"createdAt": "2021-02-14T19:38:34Z",
"imei": "492388841798923",
"model": {
"object": "deviceModel",
"id": "dmd_0SNlurA04OUskUGfGAn3Rh",
"brand": "Apple",
"hardwareIdentifiers": [
"SM-S928U1"
],
"name": "iPhone 12 Pro",
"simTypes": [
"eSIM",
"pSIM"
],
"type": "smartphone"
},
"name": "Anna's iPhone 12 Pro",
"sims": [
{
"object": "sim",
"id": "sim_0SNlurA049MEWV1BAAmWZULA4lf6",
"metadata": {},
"createdAt": "2021-01-21T19:38:34Z",
"iccid": "89883070000007537119",
"provider": "p9",
"status": "inactive",
"type": "eSIM"
}
],
"user": {
"object": "user",
"id": "usr_0SNlurA049MEWV4OpCwsNyC9Kn2d",
"metadata": {},
"birthday": "2017-07-21",
"createdAt": "2021-01-21T19:38:34Z",
"email": "jerry@example.com",
"emailVerified": true,
"fullName": "Jerry Seinfeld",
"preferredLocale": "en-US",
"status": "active"
}
}
],
"moreItemsAfter": null,
"moreItemsBefore": null
}
Creates a new device with the given parameters.
The IMEI (international mobile equipment identity) of the device.
"492388841798923"Unique user identifier for the device owner.
"usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"List of identifiers for all SIMs to attach to the device.
An optional custom name for the device.
"Anna's iPhone 12 Pro"Returns the created device.
Type of object is always device.
device Unique identifier for the device.
"dev_0SNlurA049MEWV55CrA9qMvI2FVJ"Time when the device was created.
"2021-02-14T19:38:34Z"The IMEI (international mobile equipment identity) of the device if provided.
"492388841798923"An optional custom name for the device.
"Anna's iPhone 12 Pro"curl https://api.gigs.com/projects/${GIGS_PROJECT}/devices \
-X POST \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json" \
-d '{
"imei": "492388841798923",
"user": "usr_0SNlurA049MEWV4OpCwsNyC9Kn2d",
"sims": [
"sim_0SNlurA049MEWV1BAAmWZULA4lf6"
],
"name": "Anna'"'"'s iPhone 12 Pro",
"metadata": {}
}'
{
"object": "device",
"id": "dev_0SNlurA049MEWV55CrA9qMvI2FVJ",
"metadata": {},
"createdAt": "2021-02-14T19:38:34Z",
"imei": "492388841798923",
"model": {
"object": "deviceModel",
"id": "dmd_0SNlurA04OUskUGfGAn3Rh",
"brand": "Apple",
"hardwareIdentifiers": [
"SM-S928U1"
],
"name": "iPhone 12 Pro",
"simTypes": [
"eSIM",
"pSIM"
],
"type": "smartphone"
},
"name": "Anna's iPhone 12 Pro",
"sims": [
{
"object": "sim",
"id": "sim_0SNlurA049MEWV1BAAmWZULA4lf6",
"metadata": {},
"createdAt": "2021-01-21T19:38:34Z",
"iccid": "89883070000007537119",
"provider": "p9",
"status": "inactive",
"type": "eSIM"
}
],
"user": {
"object": "user",
"id": "usr_0SNlurA049MEWV4OpCwsNyC9Kn2d",
"metadata": {},
"birthday": "2017-07-21",
"createdAt": "2021-01-21T19:38:34Z",
"email": "jerry@example.com",
"emailVerified": true,
"fullName": "Jerry Seinfeld",
"preferredLocale": "en-US",
"status": "active"
}
}
Retrieves the details of an existing device owned by the authenticated user.
Returns the device object if it exists.
Type of object is always device.
device Unique identifier for the device.
"dev_0SNlurA049MEWV55CrA9qMvI2FVJ"Time when the device was created.
"2021-02-14T19:38:34Z"The IMEI (international mobile equipment identity) of the device if provided.
"492388841798923"An optional custom name for the device.
"Anna's iPhone 12 Pro"curl https://api.gigs.com/projects/${GIGS_PROJECT}/devices/{device} \
-X GET \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json"
{
"object": "device",
"id": "dev_0SNlurA049MEWV55CrA9qMvI2FVJ",
"metadata": {},
"createdAt": "2021-02-14T19:38:34Z",
"imei": "492388841798923",
"model": {
"object": "deviceModel",
"id": "dmd_0SNlurA04OUskUGfGAn3Rh",
"brand": "Apple",
"hardwareIdentifiers": [
"SM-S928U1"
],
"name": "iPhone 12 Pro",
"simTypes": [
"eSIM",
"pSIM"
],
"type": "smartphone"
},
"name": "Anna's iPhone 12 Pro",
"sims": [
{
"object": "sim",
"id": "sim_0SNlurA049MEWV1BAAmWZULA4lf6",
"metadata": {},
"createdAt": "2021-01-21T19:38:34Z",
"iccid": "89883070000007537119",
"provider": "p9",
"status": "inactive",
"type": "eSIM"
}
],
"user": {
"object": "user",
"id": "usr_0SNlurA049MEWV4OpCwsNyC9Kn2d",
"metadata": {},
"birthday": "2017-07-21",
"createdAt": "2021-01-21T19:38:34Z",
"email": "jerry@example.com",
"emailVerified": true,
"fullName": "Jerry Seinfeld",
"preferredLocale": "en-US",
"status": "active"
}
}
Retrieves the details of an existing device and deletes it.
Returns the device after a successful deletion.
Type of object is always device.
device Unique identifier for the device.
"dev_0SNlurA049MEWV55CrA9qMvI2FVJ"Time when the device was created.
"2021-02-14T19:38:34Z"The IMEI (international mobile equipment identity) of the device if provided.
"492388841798923"An optional custom name for the device.
"Anna's iPhone 12 Pro"curl https://api.gigs.com/projects/${GIGS_PROJECT}/devices/{device} \
-X DELETE \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json"
{
"object": "device",
"id": "dev_0SNlurA049MEWV55CrA9qMvI2FVJ",
"metadata": {},
"createdAt": "2021-02-14T19:38:34Z",
"imei": "492388841798923",
"model": {
"object": "deviceModel",
"id": "dmd_0SNlurA04OUskUGfGAn3Rh",
"brand": "Apple",
"hardwareIdentifiers": [
"SM-S928U1"
],
"name": "iPhone 12 Pro",
"simTypes": [
"eSIM",
"pSIM"
],
"type": "smartphone"
},
"name": "Anna's iPhone 12 Pro",
"sims": [
{
"object": "sim",
"id": "sim_0SNlurA049MEWV1BAAmWZULA4lf6",
"metadata": {},
"createdAt": "2021-01-21T19:38:34Z",
"iccid": "89883070000007537119",
"provider": "p9",
"status": "inactive",
"type": "eSIM"
}
],
"user": {
"object": "user",
"id": "usr_0SNlurA049MEWV4OpCwsNyC9Kn2d",
"metadata": {},
"birthday": "2017-07-21",
"createdAt": "2021-01-21T19:38:34Z",
"email": "jerry@example.com",
"emailVerified": true,
"fullName": "Jerry Seinfeld",
"preferredLocale": "en-US",
"status": "active"
}
}
Updates the given properties of an existing device.
An optional custom name for the device.
"Anna's iPhone 12 Pro"List of identifiers for all SIMs currently attached to the device.
Unique user identifier for the device owner.
"usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"Returns the updated device object.
Type of object is always device.
device Unique identifier for the device.
"dev_0SNlurA049MEWV55CrA9qMvI2FVJ"Time when the device was created.
"2021-02-14T19:38:34Z"The IMEI (international mobile equipment identity) of the device if provided.
"492388841798923"An optional custom name for the device.
"Anna's iPhone 12 Pro"curl https://api.gigs.com/projects/${GIGS_PROJECT}/devices/{device} \
-X PATCH \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json" \
-d '{
"name": "Anna'"'"'s iPhone 12 Pro",
"metadata": {},
"sims": [
"sim_0SNlurA049MEWV1BAAmWZULA4lf6"
],
"user": "usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"
}'
{
"object": "device",
"id": "dev_0SNlurA049MEWV55CrA9qMvI2FVJ",
"metadata": {},
"createdAt": "2021-02-14T19:38:34Z",
"imei": "492388841798923",
"model": {
"object": "deviceModel",
"id": "dmd_0SNlurA04OUskUGfGAn3Rh",
"brand": "Apple",
"hardwareIdentifiers": [
"SM-S928U1"
],
"name": "iPhone 12 Pro",
"simTypes": [
"eSIM",
"pSIM"
],
"type": "smartphone"
},
"name": "Anna's iPhone 12 Pro",
"sims": [
{
"object": "sim",
"id": "sim_0SNlurA049MEWV1BAAmWZULA4lf6",
"metadata": {},
"createdAt": "2021-01-21T19:38:34Z",
"iccid": "89883070000007537119",
"provider": "p9",
"status": "inactive",
"type": "eSIM"
}
],
"user": {
"object": "user",
"id": "usr_0SNlurA049MEWV4OpCwsNyC9Kn2d",
"metadata": {},
"birthday": "2017-07-21",
"createdAt": "2021-01-21T19:38:34Z",
"email": "jerry@example.com",
"emailVerified": true,
"fullName": "Jerry Seinfeld",
"preferredLocale": "en-US",
"status": "active"
}
}
Searches for existing devices matching the given parameters. The search will only return factory devices not yet assigned to any user, or devices already owned by the current user.
The IMEI (international mobile equipment identity) of the device.
"492388841798923"Returns a list schema response with all found devices.
Type of object is always list.
list device.A unique identifier to be used as after pagination parameter if more items are available sorted after the current batch of items.
A unique identifier to be used as before pagination parameter if more items are available sorted before the current batch of items.
curl https://api.gigs.com/projects/${GIGS_PROJECT}/devices/search \
-X POST \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json" \
-d '{
"imei": "492388841798923"
}'
{
"object": "list",
"items": [
{
"object": "device",
"id": "dev_0SNlurA049MEWV55CrA9qMvI2FVJ",
"metadata": {},
"createdAt": "2021-02-14T19:38:34Z",
"imei": "492388841798923",
"model": {
"object": "deviceModel",
"id": "dmd_0SNlurA04OUskUGfGAn3Rh",
"brand": "Apple",
"hardwareIdentifiers": [
"SM-S928U1"
],
"name": "iPhone 12 Pro",
"simTypes": [
"eSIM",
"pSIM"
],
"type": "smartphone"
},
"name": "Anna's iPhone 12 Pro",
"sims": [
{
"object": "sim",
"id": "sim_0SNlurA049MEWV1BAAmWZULA4lf6",
"metadata": {},
"createdAt": "2021-01-21T19:38:34Z",
"iccid": "89883070000007537119",
"provider": "p9",
"status": "inactive",
"type": "eSIM"
}
],
"user": {
"object": "user",
"id": "usr_0SNlurA049MEWV4OpCwsNyC9Kn2d",
"metadata": {},
"birthday": "2017-07-21",
"createdAt": "2021-01-21T19:38:34Z",
"email": "jerry@example.com",
"emailVerified": true,
"fullName": "Jerry Seinfeld",
"preferredLocale": "en-US",
"status": "active"
}
}
],
"moreItemsAfter": null,
"moreItemsBefore": null
}
Returns a list of device model brands. The device model brands returned are sorted alphabetically.
Returns a list of device model brands.
curl https://api.gigs.com/deviceModelBrands \
-X GET \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json"
{
"object": "deviceModelBrands",
"items": [
"Apple"
]
}
Retrieves the details of an existing device model.
The unique identifier for the device model.
"dmd_0SNlurA04OUskUGfGAn3Rh"Returns the device model object if it exists.
Type of object is always deviceModel.
deviceModel Unique identifier for the deviceModel.
"dmd_0SNlurA04OUskUGfGAn3Rh"The brand of the device model.
"Apple"List of hardware identifiers (e.g. the Android Build.MODEL string) associated with this device model.
["SM-S928U1"]The device model's name.
"iPhone 12 Pro"List of SIM types supported by this device model.
["eSIM","pSIM"]The type of the device model.
"smartphone"car iot laptop router smartphone feature-phone smartwatch tablet wearable other curl https://api.gigs.com/deviceModels/{deviceModel} \
-X GET \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json"
{
"object": "deviceModel",
"id": "dmd_0SNlurA04OUskUGfGAn3Rh",
"brand": "Apple",
"hardwareIdentifiers": [
"SM-S928U1"
],
"name": "iPhone 12 Pro",
"simTypes": [
"eSIM",
"pSIM"
],
"type": "smartphone"
}
Searches for existing devices models matching the given parameters.
The IMEI (international mobile equipment identity) of the corresponding device.
"492388841798923"Returns a list schema response with all found device models.
Type of object is always list.
list deviceModel.A unique identifier to be used as after pagination parameter if more items are available sorted after the current batch of items.
A unique identifier to be used as before pagination parameter if more items are available sorted before the current batch of items.
curl https://api.gigs.com/deviceModels/search \
-X POST \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json" \
-d '{
"imei": "492388841798923"
}'
{
"object": "list",
"items": [
{
"object": "deviceModel",
"id": "dmd_0SNlurA04OUskUGfGAn3Rh",
"brand": "Apple",
"hardwareIdentifiers": [
"SM-S928U1"
],
"name": "iPhone 12 Pro",
"simTypes": [
"eSIM",
"pSIM"
],
"type": "smartphone"
}
],
"moreItemsAfter": null,
"moreItemsBefore": null
}
Returns a list of device models. The models returned are sorted by creation date, with the most recently created models appearing first.
A comma-separated list of types to be filtered by.
"smartphone,tablet"A comma-separated list of brands to be filtered by. To include a literal comma in a value, double-encode it as %252C.
"Apple,Samsung"A comma-separated list of SIM types to be filtered by.
"eSIM,pSIM"A comma-separated list of hardware identifiers (e.g. the Android Build.MODEL string) to filter device models by. To include a literal comma in a value, double-encode it as %252C.
"SM-S928U1,SM-S928U2"A cursor for use in pagination. The after parameter takes an object ID that defines the position in the list, only items immediately following the item with that ID will be returned.
A cursor for use in pagination. The before parameter takes an object ID that defines the position in the list, only items immediately preceding the item with that ID will be returned.
The limit of items to be returned in the list, between 0 and 200.
2010>= 0<= 200Returns a dictionary with an items property that contains an array of device models.
Type of object is always list.
list deviceModel.A unique identifier to be used as after pagination parameter if more items are available sorted after the current batch of items.
A unique identifier to be used as before pagination parameter if more items are available sorted before the current batch of items.
curl https://api.gigs.com/deviceModels \
-X GET \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json"
{
"object": "list",
"items": [
{
"object": "deviceModel",
"id": "dmd_0SNlurA04OUskUGfGAn3Rh",
"brand": "Apple",
"hardwareIdentifiers": [
"SM-S928U1"
],
"name": "iPhone 12 Pro",
"simTypes": [
"eSIM",
"pSIM"
],
"type": "smartphone"
}
],
"moreItemsAfter": null,
"moreItemsBefore": null
}